edu.isi.pegasus.planner.namespace.aggregator

## Interface Aggregator

All Known Implementing Classes:
  Abstract, MAX, MIN, Sum, UniqueMerge, Update

    public interface Aggregator

An internal interface, that allows us to perform aggregation functions on profiles during merging of profiles.

Version:
  $Revision$
Author:
  Karan Vahi

### Field Summary

Fields
`static java.lang.String` `VERSION` The version number associated with this API of Profile Aggregators.

### Method Summary

All Methods Instance Methods Abstract Methods
`java.lang.String` `compute(java.lang.String oldValue, java.lang.String newValue, java.lang.String dflt)` Do the aggregation function on the profile values.

### Field Detail

#### VERSION

    static final java.lang.String VERSION

The version number associated with this API of Profile Aggregators.

See Also:
  Constant Field Values

### Method Detail

#### compute

    java.lang.String compute(java.lang.String oldValue,
                             java.lang.String newValue,
                             java.lang.String dflt)

Do the aggregation function on the profile values.

Parameters:
  `oldValue` - the existing value for the profile.
  `newValue` - the new value being added to the profile.
  `dflt` - the default value to be used in case the values are not of the correct type.
Returns:
  the computed value as a String.